# Uses of Class org.bukkit.NamespacedKey (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit, class: NamespacedKey

# Uses of Class
org.bukkit.NamespacedKey

Packages that use NamespacedKey
Package
Description
com.destroystokyo.paper
com.destroystokyo.paper.entity.ai
com.destroystokyo.paper.event.player
io.papermc.paper.advancement
io.papermc.paper.potion
io.papermc.paper.registry
io.papermc.paper.tag
io.papermc.paper.world.structure
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.attribute
Classes relevant to attributes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.enchantments
Classes relating to the specialized enhancements to `item stacks`, as part of the `meta data`.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.entity.memory
Classes concerning an entity's persistent memory.
org.bukkit.event.player
`Events` relating to `players`.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.inventory.meta.tags
Classes that allow attaching custom data to items.
org.bukkit.loot
Classes relevant to loot table manipulation and generation.
org.bukkit.persistence
Classes that allow attaching persistent data to various objects.
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.
org.bukkit.structure
Classes related to creating or using `structures` without creating `Structure blocks` in the world.

## Uses of NamespacedKey in com.destroystokyo.paper

Constructors in com.destroystokyo.paper with parameters of type NamespacedKey
Modifier
Constructor
Description
``
`MaterialSetTag(@Nullable NamespacedKey key, @NotNull Collection<Material> materials)`
``
`MaterialSetTag(@Nullable NamespacedKey key, @NotNull Collection<Material> materials, @NotNull Predicate<Material>... globalPredicates)`
``
`MaterialSetTag(@Nullable NamespacedKey key, @NotNull Predicate<Material> filter)`
``
`MaterialSetTag(@Nullable NamespacedKey key, @NotNull Material... materials)`

## Uses of NamespacedKey in com.destroystokyo.paper.entity.ai

Methods in com.destroystokyo.paper.entity.ai that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
GoalKey.`getNamespacedKey()`
Methods in com.destroystokyo.paper.entity.ai with parameters of type NamespacedKey
Modifier and Type
Method
Description
`static <A extends Mob>
@NotNull GoalKey<A>`
GoalKey.`of(@NotNull Class<A> entityClass, @NotNull NamespacedKey namespacedKey)`

## Uses of NamespacedKey in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
PlayerRecipeBookClickEvent.`getRecipe()`
Gets the namespaced key of the recipe that was clicked by the player
Methods in com.destroystokyo.paper.event.player with parameters of type NamespacedKey
Modifier and Type
Method
Description
`void`
PlayerRecipeBookClickEvent.`setRecipe(@NotNull NamespacedKey recipe)`
Changes what recipe is requested.
Constructors in com.destroystokyo.paper.event.player with parameters of type NamespacedKey
Modifier
Constructor
Description
``
`PlayerRecipeBookClickEvent(@NotNull Player player, @NotNull NamespacedKey recipe, boolean makeAll)`

## Uses of NamespacedKey in io.papermc.paper.advancement

Methods in io.papermc.paper.advancement that return NamespacedKey
Modifier and Type
Method
Description
`@Nullable NamespacedKey`
AdvancementDisplay.`backgroundPath()`
Gets the texture displayed behind the advancement tree when selected.

## Uses of NamespacedKey in io.papermc.paper.potion

Methods in io.papermc.paper.potion that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
PotionMix.`getKey()`
Constructors in io.papermc.paper.potion with parameters of type NamespacedKey
Modifier
Constructor
Description
``
`PotionMix(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, @NotNull RecipeChoice ingredient)`
Creates a new potion mix.

## Uses of NamespacedKey in io.papermc.paper.registry

Methods in io.papermc.paper.registry with parameters of type NamespacedKey
Modifier and Type
Method
Description
`static <T extends Keyed>
@NotNull Reference<T>`
Reference.`create(@NotNull Registry<T> registry, @NotNull NamespacedKey key)`
Creates a reference to a registered value.

## Uses of NamespacedKey in io.papermc.paper.tag

Fields in io.papermc.paper.tag declared as NamespacedKey
Modifier and Type
Field
Description
`protected final NamespacedKey`
BaseTag.`key`
Methods in io.papermc.paper.tag that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
BaseTag.`getKey()`
Constructors in io.papermc.paper.tag with parameters of type NamespacedKey
Modifier
Constructor
Description
``
`BaseTag(@NotNull Class<T> clazz, @NotNull NamespacedKey key, @NotNull Collection<T> values)`
``
`BaseTag(@NotNull Class<T> clazz, @NotNull NamespacedKey key, @NotNull Collection<T> values, @NotNull Predicate<T>... globalPredicates)`
``
`BaseTag(@NotNull Class<T> clazz, @NotNull NamespacedKey key, @NotNull Predicate<T> filter)`
``
`BaseTag(@NotNull Class<T> clazz, @NotNull NamespacedKey key, @NotNull T... values)`
``
`EntitySetTag(@NotNull NamespacedKey key, @NotNull Collection<EntityType> values)`
``
`EntitySetTag(@NotNull NamespacedKey key, @NotNull Collection<EntityType> values, @NotNull Predicate<EntityType>... globalPredicates)`
``
`EntitySetTag(@NotNull NamespacedKey key, @NotNull Predicate<EntityType> filter)`
``
`EntitySetTag(@NotNull NamespacedKey key, @NotNull EntityType... values)`

## Uses of NamespacedKey in io.papermc.paper.world.structure

Methods in io.papermc.paper.world.structure that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
ConfiguredStructure.`getKey()`

## Uses of NamespacedKey in org.bukkit

Methods in org.bukkit that return NamespacedKey
Modifier and Type
Method
Description
`static @Nullable NamespacedKey`
NamespacedKey.`fromString(@NotNull String key)`
Get a NamespacedKey from the supplied string.
`static @Nullable NamespacedKey`
NamespacedKey.`fromString(@NotNull String string, @Nullable Plugin defaultNamespace)`
Get a NamespacedKey from the supplied string with a default namespace if a namespace is not defined.
`@NotNull NamespacedKey`
Art.`getKey()`
`@NotNull NamespacedKey`
Fluid.`getKey()`
`@NotNull NamespacedKey`
GameEvent.`getKey()`
`@NotNull NamespacedKey`
Keyed.`getKey()`
Return the namespaced identifier for this object.
`@NotNull NamespacedKey`
Material.`getKey()`
`@NotNull NamespacedKey`
RegionAccessor.`getKey()`
Get the world's key
`@NotNull NamespacedKey`
Sound.`getKey()`
`@NotNull NamespacedKey`
Statistic.`getKey()`
`@NotNull NamespacedKey`
StructureType.`getKey()`
Deprecated.
`@NotNull NamespacedKey`
WorldCreator.`key()`
Gets the key for this WorldCreator
`static @NotNull NamespacedKey`
NamespacedKey.`minecraft(@NotNull String key)`
Get a key in the Minecraft namespace.
`static @NotNull NamespacedKey`
NamespacedKey.`randomKey()`
Deprecated.
should never be used by plugins, for internal use only!!
Methods in org.bukkit with parameters of type NamespacedKey
Modifier and Type
Method
Description
`static @NotNull KeyedBossBar`
Bukkit.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull KeyedBossBar`
Server.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`T`
Registry.`get(@NotNull NamespacedKey key)`
Get the object by its key.
`T`
Registry.SimpleRegistry.`get(@NotNull NamespacedKey key)`
`static @Nullable Advancement`
Bukkit.`getAdvancement(@NotNull NamespacedKey key)`
Get the advancement specified by this key.
`@Nullable Advancement`
Server.`getAdvancement(@NotNull NamespacedKey key)`
Get the advancement specified by this key.
`static @Nullable KeyedBossBar`
Bukkit.`getBossBar(@NotNull NamespacedKey key)`
Gets the `KeyedBossBar` specified by this key.
`@Nullable KeyedBossBar`
Server.`getBossBar(@NotNull NamespacedKey key)`
Gets the `KeyedBossBar` specified by this key.
`static @Nullable GameEvent`
GameEvent.`getByKey(@NotNull NamespacedKey namespacedKey)`
Returns a `GameEvent` by a `NamespacedKey`.
`Attributable`
UnsafeValues.`getDefaultEntityAttributes(@NotNull NamespacedKey entityKey)`
Deprecated.
Gets the default attributes for the entity represented by the namespaced key.
`static @Nullable LootTable`
Bukkit.`getLootTable(@NotNull NamespacedKey key)`
Gets the specified `LootTable`.
`@Nullable LootTable`
Server.`getLootTable(@NotNull NamespacedKey key)`
Gets the specified `LootTable`.
`static @Nullable Recipe`
Bukkit.`getRecipe(@NotNull NamespacedKey recipeKey)`
Get the `Recipe` for the given key.
`@Nullable Recipe`
Server.`getRecipe(@NotNull NamespacedKey recipeKey)`
Get the `Recipe` for the given key.
`static <T extends Keyed>
@Nullable Tag<T>`
Bukkit.`getTag(@NotNull String registry, @NotNull NamespacedKey tag, @NotNull Class<T> clazz)`
Gets a tag which has already been defined within the server.
`<T extends Keyed>
@Nullable Tag<T>`
Server.`getTag(@NotNull String registry, @NotNull NamespacedKey tag, @NotNull Class<T> clazz)`
Gets a tag which has already been defined within the server.
`static @Nullable World`
Bukkit.`getWorld(@NotNull NamespacedKey worldKey)`
Gets the world from the given NamespacedKey
`@Nullable World`
Server.`getWorld(@NotNull NamespacedKey worldKey)`
Gets the world from the given NamespacedKey
`boolean`
UnsafeValues.`hasDefaultEntityAttributes(@NotNull NamespacedKey entityKey)`
Deprecated.
Checks if the entity represented by the namespaced key has default attributes.
`Advancement`
UnsafeValues.`loadAdvancement(NamespacedKey key, String advancement)`
Deprecated.
Load an advancement represented by the specified string into the server.
`static @NotNull WorldCreator`
WorldCreator.`ofKey(@NotNull NamespacedKey worldKey)`
Creates an empty WorldCreator for the given key.
`static @NotNull WorldCreator`
WorldCreator.`ofNameAndKey(@NotNull String levelName, @NotNull NamespacedKey worldKey)`
Creates an empty WorldCreator for the given world name and key
`boolean`
UnsafeValues.`removeAdvancement(NamespacedKey key)`
Deprecated.
Delete an advancement which was loaded and saved by `UnsafeValues.loadAdvancement(org.bukkit.NamespacedKey, java.lang.String)`.
`static boolean`
Bukkit.`removeBossBar(@NotNull NamespacedKey key)`
Removes a `KeyedBossBar` specified by this key.
`boolean`
Server.`removeBossBar(@NotNull NamespacedKey key)`
Removes a `KeyedBossBar` specified by this key.
`static boolean`
Bukkit.`removeRecipe(@NotNull NamespacedKey key)`
Remove a recipe from the server.
`boolean`
Server.`removeRecipe(@NotNull NamespacedKey key)`
Remove a recipe from the server.
Constructors in org.bukkit with parameters of type NamespacedKey
Modifier
Constructor
Description
``
`WorldCreator(@NotNull String levelName, @NotNull NamespacedKey worldKey)`
Creates an empty WorldCreator for the given world name and key
``
`WorldCreator(@NotNull NamespacedKey worldKey)`
Creates an empty WorldCreator for the given key.

## Uses of NamespacedKey in org.bukkit.attribute

Methods in org.bukkit.attribute that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
Attribute.`getKey()`

## Uses of NamespacedKey in org.bukkit.block

Methods in org.bukkit.block that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
Biome.`getKey()`
Methods in org.bukkit.block with parameters of type NamespacedKey
Modifier and Type
Method
Description
`int`
Furnace.`getRecipeUsedCount(NamespacedKey furnaceRecipe)`
Gets the number of times a recipe has been used since the last player removed items from the result slot.
`boolean`
Furnace.`hasRecipeUsedCount(NamespacedKey furnaceRecipe)`
Checks if the recipe has a used count present on this furnace.

## Uses of NamespacedKey in org.bukkit.enchantments

Methods in org.bukkit.enchantments that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
Enchantment.`getKey()`
Methods in org.bukkit.enchantments with parameters of type NamespacedKey
Modifier and Type
Method
Description
`static @Nullable Enchantment`
Enchantment.`getByKey(@Nullable NamespacedKey key)`
Gets the Enchantment at the specified key
Constructors in org.bukkit.enchantments with parameters of type NamespacedKey
Modifier
Constructor
Description
``
`Enchantment(@NotNull NamespacedKey key)`

## Uses of NamespacedKey in org.bukkit.entity

Methods in org.bukkit.entity that return NamespacedKey
Modifier and Type
Method
Description
`NamespacedKey`
Cat.Type.`getKey()`
`@NotNull NamespacedKey`
EntityType.`getKey()`
`@NotNull NamespacedKey`
Frog.Variant.`getKey()`
`@NotNull NamespacedKey`
Villager.Profession.`getKey()`
`@NotNull NamespacedKey`
Villager.Type.`getKey()`
Methods in org.bukkit.entity that return types with arguments of type NamespacedKey
Modifier and Type
Method
Description
`@NotNull Set<NamespacedKey>`
HumanEntity.`getDiscoveredRecipes()`
Get an immutable set of recipes this entity has discovered.
Methods in org.bukkit.entity with parameters of type NamespacedKey
Modifier and Type
Method
Description
`boolean`
HumanEntity.`discoverRecipe(@NotNull NamespacedKey recipe)`
Discover a recipe for this player such that it has not already been discovered.
`boolean`
HumanEntity.`hasDiscoveredRecipe(@NotNull NamespacedKey recipe)`
Check whether or not this entity has discovered the specified recipe.
`boolean`
HumanEntity.`undiscoverRecipe(@NotNull NamespacedKey recipe)`
Undiscover a recipe for this player such that it has already been discovered.
Method parameters in org.bukkit.entity with type arguments of type NamespacedKey
Modifier and Type
Method
Description
`int`
HumanEntity.`discoverRecipes(@NotNull Collection<NamespacedKey> recipes)`
Discover a collection of recipes for this player such that they have not already been discovered.
`int`
HumanEntity.`undiscoverRecipes(@NotNull Collection<NamespacedKey> recipes)`
Undiscover a collection of recipes for this player such that they have already been discovered.

## Uses of NamespacedKey in org.bukkit.entity.memory

Methods in org.bukkit.entity.memory that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
MemoryKey.`getKey()`
Methods in org.bukkit.entity.memory with parameters of type NamespacedKey
Modifier and Type
Method
Description
`static @Nullable MemoryKey`
MemoryKey.`getByKey(@NotNull NamespacedKey namespacedKey)`
Returns a `MemoryKey` by a `NamespacedKey`.

## Uses of NamespacedKey in org.bukkit.event.player

Methods in org.bukkit.event.player that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
PlayerRecipeDiscoverEvent.`getRecipe()`
Get the namespaced key of the discovered recipe.
Constructors in org.bukkit.event.player with parameters of type NamespacedKey
Modifier
Constructor
Description
``
`PlayerRecipeDiscoverEvent(@NotNull Player who, @NotNull NamespacedKey recipe)`

## Uses of NamespacedKey in org.bukkit.inventory

Methods in org.bukkit.inventory that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
CookingRecipe.`getKey()`
`@NotNull NamespacedKey`
ShapedRecipe.`getKey()`
`@NotNull NamespacedKey`
ShapelessRecipe.`getKey()`
`@NotNull NamespacedKey`
SmithingRecipe.`getKey()`
`@NotNull NamespacedKey`
StonecuttingRecipe.`getKey()`
Constructors in org.bukkit.inventory with parameters of type NamespacedKey
Modifier
Constructor
Description
``
`BlastingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
``
`BlastingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, float experience, int cookingTime)`
``
`CampfireRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
``
`CampfireRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, float experience, int cookingTime)`
``
`CookingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
Create a cooking recipe to craft the specified ItemStack.
``
`CookingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, float experience, int cookingTime)`
Create a cooking recipe to craft the specified ItemStack.
``
`FurnaceRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
Create a furnace recipe to craft the specified ItemStack.
``
`FurnaceRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, float experience, int cookingTime)`
Create a furnace recipe to craft the specified ItemStack.
``
`FurnaceRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, int data, float experience, int cookingTime)`
Deprecated.
``
`ShapedRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result)`
Create a shaped recipe to craft the specified ItemStack.
``
`ShapelessRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result)`
Create a shapeless recipe to craft the specified ItemStack.
``
`SmithingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice base, @NotNull RecipeChoice addition)`
Create a smithing recipe to produce the specified result ItemStack.
``
`SmithingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice base, @NotNull RecipeChoice addition, boolean copyNbt)`
Create a smithing recipe to produce the specified result ItemStack.
``
`SmokingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
``
`SmokingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, float experience, int cookingTime)`
``
`StonecuttingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input)`
Create a cooking recipe to craft the specified ItemStack.
``
`StonecuttingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source)`
Create a Stonecutting recipe to craft the specified ItemStack.

## Uses of NamespacedKey in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return types with arguments of type NamespacedKey
Modifier and Type
Method
Description
`@NotNull List<NamespacedKey>`
KnowledgeBookMeta.`getRecipes()`
Gets all the recipes in the book.
Methods in org.bukkit.inventory.meta with parameters of type NamespacedKey
Modifier and Type
Method
Description
`void`
KnowledgeBookMeta.`addRecipe(@NotNull NamespacedKey... recipes)`
Adds new recipe to the end of the book.
Method parameters in org.bukkit.inventory.meta with type arguments of type NamespacedKey
Modifier and Type
Method
Description
`void`
KnowledgeBookMeta.`setRecipes(@NotNull List<NamespacedKey> recipes)`
Clears the existing book recipes, and sets the book to use the provided recipes.

## Uses of NamespacedKey in org.bukkit.inventory.meta.tags

Methods in org.bukkit.inventory.meta.tags with parameters of type NamespacedKey
Modifier and Type
Method
Description
`<T, Z> Z`
CustomItemTagContainer.`getCustomTag(@NotNull NamespacedKey key, @NotNull ItemTagType<T,Z> type)`
Deprecated.
Returns the custom tag's value that is stored on the item.
`<T, Z> boolean`
CustomItemTagContainer.`hasCustomTag(@NotNull NamespacedKey key, @NotNull ItemTagType<T,Z> type)`
Deprecated.
Returns if the item meta has a custom tag registered matching the provided parameters.
`void`
CustomItemTagContainer.`removeCustomTag(@NotNull NamespacedKey key)`
Deprecated.
Removes a custom key from the item meta.
`<T, Z> void`
CustomItemTagContainer.`setCustomTag(@NotNull NamespacedKey key, @NotNull ItemTagType<T,Z> type, Z value)`
Deprecated.
Stores a custom value on the `ItemMeta`.

## Uses of NamespacedKey in org.bukkit.loot

Methods in org.bukkit.loot that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
LootTables.`getKey()`

## Uses of NamespacedKey in org.bukkit.persistence

Methods in org.bukkit.persistence that return types with arguments of type NamespacedKey
Modifier and Type
Method
Description
`@NotNull Set<NamespacedKey>`
PersistentDataContainer.`getKeys()`
Get a set of keys present on this `PersistentDataContainer` instance.
Methods in org.bukkit.persistence with parameters of type NamespacedKey
Modifier and Type
Method
Description
`<T, Z> Z`
PersistentDataContainer.`get(@NotNull NamespacedKey key, @NotNull PersistentDataType<T,Z> type)`
Returns the metadata value that is stored on the `PersistentDataHolder` instance.
`<T, Z> Z`
PersistentDataContainer.`getOrDefault(@NotNull NamespacedKey key, @NotNull PersistentDataType<T,Z> type, Z defaultValue)`
Returns the metadata value that is stored on the `PersistentDataHolder` instance.
`boolean`
PersistentDataContainer.`has(@NotNull NamespacedKey key)`
Returns if the persistent metadata provider has metadata registered matching the provided key.
`<T, Z> boolean`
PersistentDataContainer.`has(@NotNull NamespacedKey key, @NotNull PersistentDataType<T,Z> type)`
Returns if the persistent metadata provider has metadata registered matching the provided parameters.
`void`
PersistentDataContainer.`remove(@NotNull NamespacedKey key)`
Removes a custom key from the `PersistentDataHolder` instance.
`<T, Z> void`
PersistentDataContainer.`set(@NotNull NamespacedKey key, @NotNull PersistentDataType<T,Z> type, Z value)`
Stores a metadata value on the `PersistentDataHolder` instance.

## Uses of NamespacedKey in org.bukkit.potion

Methods in org.bukkit.potion that return NamespacedKey
Modifier and Type
Method
Description
`@NotNull NamespacedKey`
PotionEffectType.`getKey()`
`NamespacedKey`
PotionEffectTypeWrapper.`getKey()`
Methods in org.bukkit.potion with parameters of type NamespacedKey
Modifier and Type
Method
Description
`static @Nullable PotionEffectType`
PotionEffectType.`getByKey(@Nullable NamespacedKey key)`
Gets the PotionEffectType at the specified key
`void`
PotionBrewer.`removePotionMix(NamespacedKey key)`
Removes a potion mix recipe.
Constructors in org.bukkit.potion with parameters of type NamespacedKey
Modifier
Constructor
Description
`protected`
`PotionEffectType(int id, @NotNull NamespacedKey key)`

## Uses of NamespacedKey in org.bukkit.structure

Methods in org.bukkit.structure that return types with arguments of type NamespacedKey
Modifier and Type
Method
Description
`@NotNull Map<NamespacedKey,Structure>`
StructureManager.`getStructures()`
Gets the currently registered structures.
Methods in org.bukkit.structure with parameters of type NamespacedKey
Modifier and Type
Method
Description
`void`
StructureManager.`deleteStructure(@NotNull NamespacedKey structureKey)`
Unregisters the specified structure and deletes its `structure file` from the primary world folder.
`void`
StructureManager.`deleteStructure(@NotNull NamespacedKey structureKey, boolean unregister)`
Deletes the `structure file` for the specified structure from the primary world folder.
`@Nullable Structure`
StructureManager.`getStructure(@NotNull NamespacedKey structureKey)`
Gets a registered Structure.
`@NotNull File`
StructureManager.`getStructureFile(@NotNull NamespacedKey structureKey)`
Gets the location where a structure file would exist in the primary world directory based on the NamespacedKey using the format world/generated/{NAMESPACE}/structures/{KEY}.nbt.
`@Nullable Structure`
StructureManager.`loadStructure(@NotNull NamespacedKey structureKey)`
Loads the structure for the specified key and automatically registers it.
`@Nullable Structure`
StructureManager.`loadStructure(@NotNull NamespacedKey structureKey, boolean register)`
Loads a structure for the specified key and optionally `registers` it.
`@Nullable Structure`
StructureManager.`registerStructure(@NotNull NamespacedKey structureKey, @NotNull Structure structure)`
Registers the given structure.
`void`
StructureManager.`saveStructure(@NotNull NamespacedKey structureKey)`
Saves the currently `registered structure` for the specified `key` to the primary world folder as specified by {#getStructureFile(NamespacedKey}.
`void`
StructureManager.`saveStructure(@NotNull NamespacedKey structureKey, @NotNull Structure structure)`
Saves a structure with a given key to the primary world folder.
`@Nullable Structure`
StructureManager.`unregisterStructure(@NotNull NamespacedKey structureKey)`
Unregisters a structure.